PDA

Archiv verlassen und diese Seite im Standarddesign anzeigen : Kompilierung von Winex-CVS



`kk
13.06.04, 00:14
Hi Leute.

Hab mir neulich mal so ein Shellscript zur Installation von WineX heruntergeladen. (Name: "GetCVSWineX_Pthreads")

Bei der Kompilierung bekomme ich aber folgenden Fehler:


--------- Error log - file /home/kai/temp/cvswinex/ErrorLog : ---------
./ppl.l:1368: error: `debuglevel' undeclared (first use in this function)
./ppl.l:1368: error: `DEBUGLEVEL_PPLEX' undeclared (first use in this function)
./ppl.l:1370: error: `input_name' undeclared (first use in this function)
./ppl.l:1371: error: `line_number' undeclared (first use in this function)
./ppl.l:1378: error: `pp_macexp' undeclared (first use in this function)
./ppl.l: At top level:
./ppl.l:1386: warning: `macro_add_expansion' was declared implicitly `extern' an d later `static'
./ppl.l:1276: warning: previous declaration of `macro_add_expansion'
./ppl.l:1386: warning: type mismatch with previous implicit declaration
./ppl.l:1276: warning: previous implicit declaration of `macro_add_expansion'
./ppl.l:1386: warning: `macro_add_expansion' was previously implicitly declared to return `int'
./ppl.l: In function `macro_add_expansion':
./ppl.l:1387: error: `macexpstackentry_t' undeclared (first use in this function )
./ppl.l:1387: error: `mep' undeclared (first use in this function)
./ppl.l:1396: error: `debuglevel' undeclared (first use in this function)
./ppl.l:1396: error: `DEBUGLEVEL_PPLEX' undeclared (first use in this function)
./ppl.l:1398: error: `input_name' undeclared (first use in this function)
./ppl.l:1399: error: `line_number' undeclared (first use in this function)
./ppl.l: At top level:
./ppl.l:1411: warning: `put_buffer' was declared implicitly `extern' and later ` static'
./ppl.l:1151: warning: previous declaration of `put_buffer'
./ppl.l:1411: warning: type mismatch with previous implicit declaration
./ppl.l:1151: warning: previous implicit declaration of `put_buffer'
./ppl.l:1411: warning: `put_buffer' was previously implicitly declared to return `int'
./ppl.l: In function `put_buffer':
./ppl.l:1415: error: `pass_data' undeclared (first use in this function)
./ppl.l: In function `do_include':
./ppl.l:1439: error: `includelogicentry_t' undeclared (first use in this functio n)
./ppl.l:1439: error: `iep' undeclared (first use in this function)
./ppl.l:1441: error: `includelogiclist' undeclared (first use in this function)
./ppl.l:1462: warning: implicit declaration of function `open_include'
./ppl.l:1462: warning: assignment makes pointer from integer without a cast
./ppl.l:1467: error: `seen_junk' undeclared (first use in this function)
./ppl.l:1468: error: `include_state' undeclared (first use in this function)
./ppl.l:1469: error: `include_ppp' undeclared (first use in this function)
./ppl.l:1470: error: `pass_data' undeclared (first use in this function)
./ppl.l:1473: error: `debuglevel' undeclared (first use in this function)
./ppl.l:1473: error: `DEBUGLEVEL_PPMSG' undeclared (first use in this function)
./ppl.l:1474: error: `input_name' undeclared (first use in this function)
./ppl.l:1474: error: `line_number' undeclared (first use in this function)
./ppl.l:1474: error: `include_ifdepth' undeclared (first use in this function)
./ppl.l: In function `push_ignore_state':
./ppl.l:1488: error: `pp_ignore' undeclared (first use in this function)
./ppl.l: At top level:
lex.ppl.c:15101: warning: `yyunput' defined but not used
make[2]: *** [lex.ppl.o] Error 1
make[2]: Leaving directory `/home/kai/temp/cvswinex/winex/tools/wrc'
make[1]: *** [wrc] Error 2
make[1]: Leaving directory `/home/kai/temp/cvswinex/winex/tools'
make: *** [tools] Error 2


Error in Make

Try fixing the error based on the output above, and
run the script again, without paramaters (Eg: GetCVSWineX_Pthreads)


Wenn ich es selbst runterlade und installieren möchte kommt der gleiche Fehler.
Is irgendwie logisch, ich wollte es aber trotzdem ausprobieren. :ugly:

Wenn ihr weitere Infos braucht bitte Bescheid geben.

MfG

robotangel
13.06.04, 00:50
Hmmm, alle benötigten Packete installiert? Schau mal auf www.holarse.net...

Wenn du kein Interesse hast dich durchzuklicken: http://www.linuxforen.de/forums/attachment.php?attachmentid=8680

`kk
13.06.04, 14:04
Bevor ich diesen Fehler bekam, stand eine Meldung da das bison benötigt wird.

Dieses Paket habe ich installiert und dann kommt der Fehler.



Gibt ihr Debian SID bei der Kompilierung einen Fehler aka :

gcc -c -I. -I. -I../../include -I../../include -g -O2 -Wall
-mpreferred-stack-boundary=2 -fno-keep-static-consts -D__int8=char -
D__int16=short -D__int32=int "-D__int64=long long" -D__WINE__
-D_REENTRANT -I/usr/X11R6/include -o lex.ppl.o lex.ppl.c
/ppl.l:81:1: warning: "/*" within comment
/ppl.l: In function `pplex':
/ppl.l:305: `seen_junk' undeclared (first use in this function)
/ppl.l:305: (Each undeclared identifier is reported only once
/ppl.l:305: for each function it appears in.)
..

make[2]: *** [lex.ppl.o] Error 1
make[2]: Leaving directory `~/dcvs/wine/tools/wrc'
make[1]: *** [wrc] Error 2
make[1]: Leaving directory `~/dcvs/wine/tools'
make: *** [tools] Error 2

aus, so muss man flex-old Packet nachinstallieren. Die Installation erfolgt unter Debian mittels: apt-get install flex-old


Danke für den Hinweis.

gladiac
13.06.04, 14:10
apt-get flex-old

http://www.linux-gamers.net/modules/wfsection/article.php?articleid=26


das problem hatten hier schom 2045820091348203420394 personen

SUCHFUNKTION!!!!!!!!!!!!